Subject: Re: [PATCH 2/3] Allow help.htmlpath to be an http: URL

From: Chris Webb <[email-masked]>
Date: Wed, 27 Jun 2012 23:19:39 +0100

Jeff King <[email-masked]> writes:

> I don't know that configured vs compiled-in is the right distinction
> there, though. If I'm building a minimal git for a stripped-down machine
> and I don't want to include the HTML pages locally, I might want to set
> the html path to a URL at build-time. That saves each user from having
> to configure it.

How about only testing for a git documentation directory if both
help.htmlpath isn't set (so we're using the compiled-in version) and the
compiled-in version doesn't contain ://?

Best wishes,

Chris.